
#results {
    width: 100%;
    min-height: 500px;
    border: solid 1px;
}

body.frontendeditor-areas-highlight *[data-frontendeditor-load-data=true] {
    animation-name: background-blink;
    animation-duration: 1s;
    animation-iteration-count: 1;

}

@keyframes background-blink {
    from {
        background-color: rgba(121, 219, 255, 0.51);
    }
    to {
        background-color: transparent;
    }
}

.frontendeditor-topbabr {
    z-index: 102;
    bottom: 40px;
    width: 100%;
    text-align: center;
    position: fixed;
    left: auto;
    top: auto;
    letter-spacing: 15px;
}

.frontendeditor-message-box {
    width: fit-content;
    padding: 20px 40px;
    border-radius: 10px !important;
    box-shadow: 1px 2px 3px 0 rgba(15, 65, 33, .08), 5px 10px 20px 0 rgba(18, 43, 26, .12);
    background: #fff;
    z-index: 103;
    margin: 0 auto;
    margin-bottom: 25px;
    letter-spacing: normal;
    display: block;
    opacity: 0;
    transition: opacity 0.6s ease-out;
}

.frontendeditor-message-box.error {
    background: #ff8a8a;
}

.frontendeditor-message-box.frontendeditor-box-show {
    opacity: 1;
}

.frontendeditor-button {
    transition: all .15s ease;
    display: inline-block;
    width: 70px;
    height: 70px;
    border-radius: 50% !important;
    box-shadow: 1px 2px 3px 0 rgba(15, 65, 33, .08), 5px 10px 20px 0 rgba(18, 43, 26, .12);
    z-index: 103;
    opacity: 1;
    visibility: visible;
    border: 0;
    font-size: 30px;
    text-align: center;
    padding-left: 12px;
    line-height: 70px;
    margin: 0 auto;
    cursor: pointer;
}

.frontendeditor-button:hover  {
    color: #ffffff;
    background: #82a0b1;
}

.frontendeditor-button:hover i {
    /*color: #22bd59;*/
}

.frontendeditor-edit-mode .frontendeditor-button {
    padding-left: 8px;
    line-height: 71px;
}

.frontendeditor-button:focus {
    outline: none;
}

.frontendeditor-button > i {
    display: none;
}

.frontendeditor-button > i:first-child {
    display: inline;
}

.frontendeditor-button-edit {
    background-color: rgb(245, 245, 245);
}

.frontendeditor-button-save {
    background-color: rgb(245, 245, 245);
    display: none;
}

.frontendeditor-loading-data .frontendeditor-button[disabled]{
    /*background-color: rgba(118, 216, 245, 0.42) !important;*/
    color: #b8b8b8;
}

.frontendeditor-button[disabled]{
    color: #b8b8b8;
}

.frontendeditor-button[disabled]:hover {
    background-color: rgb(245, 245, 245);
}

.frontendeditor-edit-mode .frontendeditor-button-edit {
    display: inline;
    /*background-color: rgb(195, 194, 194);*/
}

.frontendeditor-edit-mode .frontendeditor-button-save {
    display: inline;
}

.frontendeditor-edit-mode .frontendeditor-button-edit > i:first-child {
    display: none;
}

.frontendeditor-edit-mode .frontendeditor-button-edit > i:nth-child(2) {
    display: inline;
}


/* TinyMCE */

body.frontendeditor-areas-highlight *[data-frontendeditor-load-data=true]:focus,
body.frontendeditor-areas-highlight *[data-frontendeditor-load-data=true]:hover {
    outline: 3px solid #2276d2;
}

body.frontendeditor-areas-highlight a[data-frontendeditor-load-data=true]:focus,
body.frontendeditor-areas-highlight a[data-frontendeditor-load-data=true]:hover {
    text-decoration: none;
}

body.frontendeditor-areas-highlight .tox-tinymce {
    z-index: 1299;
}